// /home/epsilon/Projects/Asteroid/ABot/Framework1/Framework1/IPlugin.cs created with MonoDevelop
// User: epsilon at 16:18 19.04.2008
//

using System;

namespace Framework1
{
	// TODO: Wäre gut, wenn wir das nicht bräuchten ... 
	public enum PluginTypes {BotPlugin, StatisticsPlugin, VisualizationPlugin};
	
	public interface IPlugin
	{
		// properties
		IPluginHost Host {set;}
		Framework1.PluginTypes PluginType {get;}
		
		// methods
		void UpdatePlayfield(Playfield playfield);
		void UpdateCurrentKeys(KeySet keys);
		void UpdateCalibration(GameCalibration calibration);
		void UpdateBotStatus(BotStatus status);		
	}
}
